Subject: Merging tags does not fast-forward with git 1.7.9

From: Domenico Andreoli <[email-masked]>
Date: Thu, 9 Feb 2012 10:54:15 +0100

Hi,

  with the recent changes in tag merging (I updated git to 1.7.9),
my usual "git merge v3.X-rcY" command does not fast-forward any more.
Of course the initial head is something like "v3.X-rcZ" without any
change so that it should (and usually did) fast-forward to the new head.

The editor is instead fired off and I have to fill the details of a
merge commit, diverging from mainline as soon as I save and exit.

Is there any simple and clear explanation for this? Thank you.

cheers,
Domenico

ps: I admit I didn't follow the details about tag signatures so probably
I missed something that I shouldn't.